package com.yami.shop.common.util;

import com.yami.shop.common.exception.GlobalException;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Random;

/**
 * 自定义Utils 类
 */
public class CommonUtils {


    /**
     * 获取单号规则
     * @param orderType 自定义单号类型
     * @return 单号
     */
    public static String getOrderNo(String orderType){
        StringBuffer sb = new StringBuffer();
        sb.append(orderType);
        sb.append(System.currentTimeMillis());
        Random rd = new Random();
        sb.append(rd.nextInt(10)).append(rd.nextInt(10)).append(rd.nextInt(10));
        return sb.toString();
    }


    /**
     * 校验参数是否需要抛出异常
     * @param shouldThrow     是否应抛出异常
     * @param message 异常具体信息
     */
    public static void validateCondition(Boolean shouldThrow, String message) {
        if (shouldThrow) {
            throw new GlobalException(message);
        }
    }

}
